summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMiguel Angel Useche Castro2015-06-21 17:57:18 -0430
committerMiguel Angel Useche Castro2015-06-21 17:57:18 -0430
commite1212e391491672aee57570a0eda747303f055df (patch)
treedaffea417c9c40c8f59521e50a21b78f09d5a83e
downloadaur-e1212e391491672aee57570a0eda747303f055df.tar.gz
Initial import
-rw-r--r--.SRCINFO13
-rw-r--r--PKGBUILD22
2 files changed, 35 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..a73cdcb7908
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,13 @@
+pkgbase = fnfx
+ pkgdesc = Enables owners of Toshiba laptops to change the LCD brightness, control the internal fan and use the special keys on their keyboard (Fn-x combinations, hotkeys).
+ pkgver = 0.3
+ pkgrel = 4
+ url = http://fnfx.sourceforge.net/
+ arch = i686
+ arch = x86_64
+ license = GPL2
+ source = http://downloads.sourceforge.net/fnfx/fnfx-0.3.tar.gz
+ sha512sums = 62e5c7f6457eabc02b2162cb365fd496982a33b83564d98b16abde54c876ec93273fbf5afcf9f9596e6e7577fe6d8b82f8a954adc8334f5648f2fb67b4e23d8f
+
+pkgname = fnfx
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..761b23957f5
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,22 @@
+# Author: Miguel Useche <migueluseche@skatox.com>
+# Maintainer: Miguel Useche <migueluseche@skatox.com>
+arch=(i686 x86_64)
+pkgname=fnfx
+pkgver=0.3
+pkgrel=4
+pkgdesc="Enables owners of Toshiba laptops to change the LCD brightness, control the internal fan and use the special keys on their keyboard (Fn-x combinations, hotkeys)."
+url="http://fnfx.sourceforge.net/"
+license=('GPL2')
+source=(http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz)
+sha512sums=('62e5c7f6457eabc02b2162cb365fd496982a33b83564d98b16abde54c876ec93273fbf5afcf9f9596e6e7577fe6d8b82f8a954adc8334f5648f2fb67b4e23d8f')
+
+build() {
+ cd $srcdir/$pkgname-$pkgver
+ ./configure --prefix=/usr --sysconfdir=/etc
+ make || return 1
+}
+
+package(){
+ cd $srcdir/$pkgname-$pkgver
+ make DESTDIR=$pkgdir install
+} \ No newline at end of file